Subject: Re: disklabel????

From: John Kohl <[email-masked]>

I recently spent about 20 minutes trying and eventually succeeding to
put a new label on a new SCSI drive which did not appear in disktab.  I
was attempting to do that without writing a bogus label first based on
some crock in /etc/disktab, and I didn't want to edit /etc/disktab
either [I don't see that either is really necessary].  I *think* I
eventually did this with 'disklabel -R -r sdX /tmp/label-proto'.

The man page on disklabel didn't really cover this case well, nor does
it explain clearly that you may wish to add a new disklabel to a blank
disk with a bogus disktype, and then edit the disklabel with disklabel
-e.

I think the example section of disklabel.8 needs examples for these
cases. There was also a bug in the disklabel man page's 'BUGS' section.

I'll file a PR to address these deficiencies.

==John